﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SqlServer.Types;

namespace SpatialAgg
{
    class Program
    {
        static void Main(string[] args)
        {
            List<SqlGeometry> glist = new List<SqlGeometry>();
            glist.Add(SqlGeometry.Parse("POLYGON((0 0, 1 0, 1 1, 0 1, 0 0))"));
            glist.Add(SqlGeometry.Parse("POLYGON((1 0, 2 0, 2 1, 1 1, 1 0))"));

            GeometryUnionAggregate agg = new GeometryUnionAggregate();

            // call the appropriate methods on the aggregate
            agg.Init();
            foreach (SqlGeometry geom in glist)
                agg.Accumulate(geom);
            SqlGeometry theanswer = agg.Terminate();

            Console.WriteLine("answer is {0}", theanswer);
        }
    }
}
